version 18

sysdir set PLUS "C:/Users/wb633983/Documents/gh/RR_WLD_2025_284/AIPI Overperformers PRWP Reproducibility/code/ado"

ssc install kountry, replace
ssc install rsource

clear all
set more off

* Set the working directory
cd "C:/Users/wb633983/Documents/gh/RR_WLD_2025_284/AIPI Overperformers PRWP Reproducibility" 


import excel "rawData/imf-dm-export-20241116.xls", firstrow clear // https://www.imf.org/external/datamapper/datasets/AIPI
rename (AIPreparednessIndexIndex B) (countryname ai_preparedness_index)
drop if ai_preparedness_index==.
drop if _n>=175
********************************************************************************

preserve
import excel "rawData/BACE_data.xls", firstrow clear // https://www.aeaweb.org/articles?id=10.1257/0002828042002570
rename (CODE COUNTRY) (code countryname)

replace countryname="Cabo Verde" if countryname =="Cape verde"
replace countryname="Central African Republic" if countryname =="Cent'l Afr. Rep."
replace countryname="China, People's Republic of" if countryname =="China"
replace countryname="Congo, Dem. Rep. of the" if countryname =="Zaire"
replace countryname="Congo, Republic of " if countryname =="Congo"
replace countryname="Côte d'Ivoire" if countryname =="Cote d'Ivoire"

replace countryname="Dominican Republic" if countryname =="Dominican Rep."
replace countryname="Eswatini" if countryname =="Swaziland"
replace countryname="Gambia, The" if countryname =="Gambia"
replace countryname="Germany" if countryname =="Germany, West"
replace countryname="Hong Kong SAR" if countryname =="Hong Kong"
replace countryname="Iran" if countryname =="Iran, I.R. of"
replace countryname="Korea, Republic of" if countryname =="Korea"

replace countryname="Myanmar" if countryname =="Myanmar (Burma)"
replace countryname="Saint Lucia" if countryname =="St.Lucia"
replace countryname="Saint Vincent and the Grenadines" if countryname =="St.Vincent & Grens."
replace countryname="South Africa" if countryname =="South africa"
replace countryname="Taiwan Province of China" if countryname =="Taiwan"
replace countryname="Trinidad and Tobago" if countryname =="Trinidad & Tobago"
replace countryname="Türkiye, Republic of" if countryname =="Turkey"
replace countryname="United Arab Emirates" if countryname =="Unit'd Arab Emir."
replace countryname="Yemen" if countryname =="Yemen, N.Arab"

save "intData/BACE_data.dta", replace
restore

merge m:1 countryname using "intData/BACE_data.dta"
list countryname
drop OBS code
keep if _merge==3
drop _merge

foreach x in GR6096-ZTROPICS {
destring `x', replace	
}

***
drop countryname GR6096
rename ai_preparedness_index AiPI
save "intData/data_bma_AI.dta", replace

replace POP60= ln(POP60)
keep AiPI LIFE060 YRSOPEN REVCOUP CONFUC SIZE60 LAAM H60 EAST POP60 ABSLATIT TROPICAR PI6090 CATH00 SOCIALIST EUROPE /**/
order AiPI LIFE060 YRSOPEN REVCOUP CONFUC SIZE60 LAAM H60 EAST POP60 ABSLATIT TROPICAR PI6090 CATH00 SOCIALIST EUROPE /**/

egen missing_count = rowmiss(*)
drop if missing_count > 0
drop missing_count

saveold "intData/data_fma_AI.dta", version(12) replace // (v12 necessary to run FMA MMA on R); change path file here
***

// OLS

gen id= _n

sum AiPI, d
g c_AI= 1 if AiPI<=.3381661
replace c_AI= 2 if AiPI>.3381661 & AiPI<=.4358448
replace c_AI= 3 if AiPI>.4358448 & AiPI<=.5913179
replace c_AI= 4 if AiPI>5913179


reg AiPI LIFE060 YRSOPEN REVCOUP CONFUC SIZE60 LAAM H60 EAST
reg AiPI LIFE060 YRSOPEN REVCOUP CONFUC SIZE60 LAAM H60 EAST, ro

reg AiPI POP60 ABSLATIT TROPICAR PI6090 CATH00 SOCIALIST EUROPE
reg AiPI POP60 ABSLATIT TROPICAR PI6090 CATH00 SOCIALIST EUROPE, ro



